package sk.codeblog.smsgateway;

import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.telephony.SmsManager;

public class Functions {
    public static void sendSMS(Context context, String address, String body, String clientIP)
    {

        Intent i = new Intent(Constants.CALLBACK);
        i.putExtra(Constants.CALLBACK_TYPE, Constants.CALLBACK_TYPE_RESULT);
        i.putExtra(Constants.CALLBACK_MSG, "SMS from " + clientIP);

        PendingIntent pi = PendingIntent.getBroadcast(context, 0, i, android.app.PendingIntent.FLAG_ONE_SHOT);

        SmsManager smsManager = SmsManager.getDefault();
        smsManager.sendTextMessage(address, null, body, pi, null);
    }

    public static void sendInfoToApp(Context context, int callbackType, String message)
    {
        try {

            Intent i = new Intent(Constants.CALLBACK);
            i.putExtra(Constants.CALLBACK_TYPE, callbackType);
            i.putExtra(Constants.CALLBACK_MSG, message);

            PendingIntent pi = PendingIntent.getBroadcast(context, 0, i, android.app.PendingIntent.FLAG_ONE_SHOT);
            pi.send();

        } catch (PendingIntent.CanceledException e) {
            e.printStackTrace();
        }
    }
}
